Documentation

Datasets

Update a dataset

Updates an existing dataset. Requires admin role. Only provided fields will be updated.

ProductionStagingUATLocal development
PUThttps://linguistic.ankiren.com/api/datasets/{slug}

Parameters

Path Parameters

  • slugstringpathRequired

    URL-friendly identifier for the dataset

Request Body

Bắt buộc.

  • slugstring

    URL-friendly identifier (will check for uniqueness if changed)

  • namestring

    Display name

  • nameVistring

    Vietnamese name

  • descriptionstring

    Dataset description

  • taskstring

    Task type

  • taskVistring

    Vietnamese task name

  • languagestring

    Dataset language

  • rowsstring

    Row count as formatted string

  • sourcestring

    Source URL

  • tagsstring

    Comma-separated tags

application/json
{
  "rows": "28,000",
  "description": "Updated description"
}

Responses

200 · Dataset updated successfully

  • idintegerRequired

    Auto-increment identifier

  • slugstringRequired

    URL-friendly identifier

  • namestringRequired

    Display name

  • nameVistring?

    Vietnamese name

  • descriptionstring?

    Dataset description

  • taskstring?

    Task type

  • taskVistring?

    Vietnamese task name

  • languagestring?

    Dataset language

  • rowsstring?

    Row count as formatted string

  • sourcestring?

    Source URL (e.g., HuggingFace link)

  • tagsstring?

    Comma-separated tags

  • createdAtstring<date-time>Required

    Record creation timestamp

    format: date-time
  • updatedAtstring<date-time>Required

    Last update timestamp

    format: date-time
application/json
{
  "id": 1,
  "slug": "vlsp2013-postag",
  "name": "VLSP2013_POSTAG",
  "nameVi": "Gán nhãn từ loại tiếng Việt",
  "description": "Vietnamese POS tagging dataset from VLSP 2013",
  "task": "Token Classification",
  "taskVi": "Phân loại từ",
  "language": "Vietnamese",
  "rows": "27,871",
  "source": "https://huggingface.co/datasets/vlsp2013-postag",
  "tags": "POS Tagging,Vietnamese,NLP",
  "createdAt": "2026-01-17T10:00:00Z",
  "updatedAt": "2026-01-17T10:00:00Z"
}

Sample Code

Đổi ngôn ngữ ở ô Language trên thanh Documentation.

cURL
curl -X PUT 'https://linguistic.ankiren.com/api/datasets/vlsp2013-postag' \
  -H 'Authorization: Bearer <token>' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "rows": "28,000",
  "description": "Updated description"
}'